import { ref, watch } from 'vue';
import { cloneDeep } from 'lodash';

export default function useClearDialog(data, props) {
  let resultData = ref(cloneDeep(data));
  watch(
    () => props.visible,
    (val) => {
      if (!val) {
        resultData.value = cloneDeep(data);
      }
    }
  );
  return { data: resultData };
}
