import Mock from 'mockjs';

const menusList = [
  {
    id: 1,
    title: '服务单元管理',
    parentId: 0,
    url: '/service-unit-manage',
    sort: 1,
    name: 'ServiceUnitManage',
  },
  {
    id: 2,
    title: '派单管理',
    parentId: 1,
    url: '/service-unit-manage/dispatch',
    sort: 1,
    name: 'Dispatch',
  },
  {
    id: 3,
    title: '派单管理',
    parentId: 2,
    url: '/service-unit-manage/dispatch/dispatch-manage',
    sort: 1,
    name: 'DispatchManage',
  },
  {
    id: 4,
    title: '服务单元管理',
    parentId: 1,
    url: '/service-unit-manage/service-unit',
    sort: 2,
    name: 'ServiceUnit',
  },
  {
    id: 5,
    title: '服务单元管理',
    parentId: 4,
    url: '/service-unit-manage/service-unit/unit-manage',
    sort: 1,
    name: 'UnitManage',
  },
  {
    id: 6,
    title: '服务范围管理',
    parentId: 4,
    url: '/service-unit-manage/service-unit/range-manage',
    sort: 2,
    name: 'RangeManage',
  },
  {
    id: 7,
    title: '服务区域规划',
    parentId: 4,
    url: '/service-unit-manage/service-unit/regional-planning',
    sort: 3,
    name: 'RegionalPlanning',
  },
  {
    id: 8,
    title: 'SOP管理',
    parentId: 0,
    url: '/sop',
    sort: 2,
    name: 'Sop',
  },
  {
    id: 9,
    title: 'SOP管理',
    parentId: 8,
    url: '/sop/sop-manage',
    sort: 1,
    name: 'SopManage',
  },
  {
    id: 10,
    title: '教务处SOP管理',
    parentId: 9,
    url: '/sop/sop-manage/office-sop',
    sort: 1,
    name: 'OfficeSop',
  },
  {
    id: 11,
    title: '研究生SOP管理',
    parentId: 9,
    url: '/sop/sop-manage/student-sop',
    sort: 2,
    name: 'StudentSop',
  },
  {
    id: 12,
    title: '研究生SOP管理',
    parentId: 9,
    url: '/sop/sop-manage/device-out-in',
    sort: 3,
    name: 'DeviceOutIn',
  },
  {
    id: 14,
    title: '项目计划变更报备',
    parentId: 9,
    url: '/sop/sop-manage/project-change-report',
    sort: 4,
    name: 'ProjectChangeReport',
  },
  {
    id: 15,
    title: 'SOP监控',
    parentId: 8,
    url: '/sop/sop-monitor',
    sort: 2,
    name: 'SopMonitor',
  },
  {
    id: 16,
    title: '延期预警',
    parentId: 15,
    url: '/sop/sop-monitor/delay-warning',
    sort: 2,
    name: 'DelayWarning',
  },
  {
    id: 17,
    title: '违规登记',
    parentId: 15,
    url: '/sop/sop-monitor/violation-registration',
    sort: 2,
    name: 'ViolationRegistration',
  },
  {
    id: 18,
    title: '资源保障',
    parentId: 0,
    url: '/resource-guard',
    sort: 3,
    name: 'ResourceGuard',
  },
  {
    id: 19,
    title: '人资保障',
    parentId: 18,
    url: '/resource-guard/person-guard',
    sort: 1,
    name: 'PersonGuard',
  },
  {
    id: 20,
    title: '人员档案管理',
    parentId: 19,
    url: '/resource-guard/person-guard/person-files',
    sort: 1,
    name: 'PersonFiles',
  },
  {
    id: 21,
    title: '人员调配',
    parentId: 19,
    url: '/resource-guard/person-guard/person-allocate',
    sort: 2,
    name: 'PersonAllocate',
  },
  {
    id: 22,
    title: '设备保障',
    parentId: 18,
    url: '/resource-guard/device-guard',
    sort: 2,
    name: 'DeviceGuard',
  },
  {
    id: 23,
    title: '出入库登记查询',
    parentId: 22,
    url: '/resource-guard/device-guard/registration-query',
    sort: 1,
    name: 'RegistrationQuery',
  },
  {
    id: 24,
    title: '设备资源监控',
    parentId: 22,
    url: '/resource-guard/device-guard/device-monitor',
    sort: 2,
    name: 'DeviceMonitor',
  },
];

export const menusApi = Mock.mock('/api/getMenus', 'get', () => {
  return menusList;
});

export const loginApi = Mock.mock('/api/login', 'post', (data) => {
  return {
    userName: '路人甲',
    id: Math.floor(Math.random() * 100 + 1),
    token: '123',
  };
});

export const addApi = Mock.mock('/api/add', 'post', (data) => {
  return {
    ok: true,
  };
});
export const editApi = Mock.mock('/api/edit', 'post', (data) => {
  return {
    ok: true,
  };
});

//模拟一个分页请求
export const tableApi = Mock.mock('/api/table', 'post', (data) => {
  return {
    // list: [],
    list: [
      {
        a: 1,
        b: 2,
        c: [],
        d: 4,
        e: 5,
        f: 6,
        g: 7,
        h: 8,
        i: 9,
        j: 10,
        k: 11,
        l: 12,
        m: 13,
      },
    ],
    total: 80,
  };
});
